document.addEventListener("DOMContentLoaded", function () {
    const selectedImages = [];

    // Funkce pro označení obrázků
    function toggleImageSelection(imageElement) {
        const imageSrc = imageElement.getAttribute("src");

        if (selectedImages.includes(imageSrc)) {
            // Obrázek je již vybrán, odstraníme ho z výběru
            const index = selectedImages.indexOf(imageSrc);
            if (index > -1) {
                selectedImages.splice(index, 1);
            }
            imageElement.classList.remove("selected");
        } else {
            // Obrázek není vybrán, přidáme ho do výběru
            selectedImages.push(imageSrc);
            imageElement.classList.add("selected");
        }

        // Aktualizujeme skryté pole s vybranými obrázky
        document.getElementById("selected_images").value = JSON.stringify(selectedImages);
    }

    // Sledujeme kliknutí
    const imageElements = document.querySelectorAll(".captcha-item img");
    imageElements.forEach(function (imageElement) {
        imageElement.addEventListener("click", function () {
            toggleImageSelection(imageElement);
        });
    });

    // Sledujeme odeslání formuláře
    const form = document.querySelector("form");
    form.addEventListener("submit", function (event) {
        // Zabraňujeme automatickému odeslání formuláře
        event.preventDefault();
        // Odeslání formuláře
        form.submit();
    });
});

